> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/vaults/assign-aml-customer-reference-id",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Assign AML customer reference ID

> Sets an AML/KYT customer reference ID for a specific address.
Endpoint Permission: Admin, Non-Signing Admin.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/set_customer_ref_id
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /vault/accounts/{vaultAccountId}/{assetId}/addresses/{addressId}/set_customer_ref_id:
    post:
      tags:
        - Vaults
      summary: Assign AML customer reference ID
      description: |-
        Sets an AML/KYT customer reference ID for a specific address.
        Endpoint Permission: Admin, Non-Signing Admin.
      operationId: setCustomerRefIdForAddress
      parameters:
        - in: path
          name: vaultAccountId
          required: true
          description: The ID of the vault account
          schema:
            type: string
            format: numeric
            x-fb-entity: vault_account
        - in: path
          name: assetId
          required: true
          description: The ID of the asset
          schema:
            type: string
            x-fb-entity: asset
        - in: path
          name: addressId
          required: true
          description: >-
            The address for which to add a description. For XRP, use
            <address>:<tag>, for all other assets, use only the address
          schema:
            type: string
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetCustomerRefIdForAddressRequest'
      responses:
        '201':
          description: OK
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VaultActionStatus'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<VaultActionStatus>> =
            fireblocks.vaults.setCustomerRefIdForAddress(vaultsApiSetCustomerRefIdForAddressRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<VaultActionStatus>> response =
            fireblocks.vaults().setCustomerRefIdForAddress(setCustomerRefIdForAddressRequest,
            vaultAccountId, assetId, addressId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.vaults.set_customer_ref_id_for_address(set_customer_ref_id_for_address_request,
            vault_account_id, asset_id, address_id, idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    SetCustomerRefIdForAddressRequest:
      type: object
      properties:
        customerRefId:
          description: Customer reference ID
          type: string
    VaultActionStatus:
      type: object
      properties:
        success:
          type: boolean
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````